%global srcname xmodem

Name:           python-%{srcname}
Version:        0.4.7
Release:        %autorelease
Summary:        XMODEM protocol implementation

License:        MIT
URL:            https://github.com/tehmaze/xmodem
# The PyPI tarball doesn't include tests
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  lrzsz
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  sed

Suggests:       %{name}-doc = %{version}-%{release}

%global _description %{expand:
This package provides a Python implementation for the XMODEM protocol.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%package        doc
Summary:        Documentation for %{name}

%description    doc
This package contains additional documentation for %{name}.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Fix end of line encoding
sed -i 's/\r$//' doc/{*.TXT,*.txt}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# Build docs
sphinx-build-3 doc/source html
rm -r html/{.buildinfo,.doctrees}

%install
%pyproject_install
%pyproject_save_files %{srcname}

# Remove spurious files
rm -r %{buildroot}%{_prefix}/doc

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%files doc
%license LICENSE
%doc doc/*.TXT doc/*.txt html

%changelog
%autochangelog
